#### 7.10.6.15 ncrepGet

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  ncrep q = ncrepGet(f);
  f of type ncrat

Return:
  q = (u, Q, v) linear representation of f

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y", "z"));
    ncrat f = ncratFromString("2*x*y");
    ncrep q = ncrepGet(f);
    print(q);
    ==> lvec=
    ==> 0,0,0,1
    ==>
    ==> mat=
    ==> 0, 0, 1/2*x,-1/2,
    ==> 0, 1, -1/2, 0,
    ==> y, -1,0,    0,
    ==> -1,0, 0,    0
    ==>
    ==> rvec=
    ==> 0,
    ==> 0,
    ==> 0,
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.